reports
Reports
Cross-module reporting endpoints — today the consolidated manager dashboard (roster, attendance rate, outstanding balance, overdue invoices, today’s sessions).
1 נקודות קצה
GET /api/v1/dashboard
Consolidated manager dashboard: active/new students, 30-day attendance rate, outstanding balance, overdue invoice count, and today’s sessions.
דוגמה עם curl
curl -X GET "https://your-institute.example/api/v1/dashboard" \
-H "Authorization: Bearer $INSTITFLOW_API_KEY"תשובות
| שם | סוג | מגבלות |
|---|---|---|
studentsActiveחובה | integer | 0–9007199254740991 |
studentsNewThisMonthחובה | integer | 0–9007199254740991 |
attendanceRate30dחובה | number | null | 0–100 |
outstandingMinorחובה | integer | -9007199254740991–9007199254740991 |
currencyחובה | enum: "ILS" | "USD" | "EUR" | — |
overdueCountחובה | integer | 0–9007199254740991 |
todaySessionsחובה | array<object> | — |
{
"studentsActive": 0,
"studentsNewThisMonth": 0,
"attendanceRate30d": 0,
"outstandingMinor": -9007199254740991,
"currency": "ILS",
"overdueCount": 0,
"todaySessions": [
{
"id": "37386ae0-3738-7738-8386-37386ae03738",
"groupName": "string",
"start": "2026-03-02T09:00:00.000Z",
"room": "string"
}
]
}מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.
מחזירה את מעטפת השגיאה המשותפת `ErrorEnvelope` — `{ error: { code, message, requestId, details? } }`. כל הקודים מפורטים במדריך המוסכמות.